<?
header('Content-type:text/html; charset=utf-8'); 
include'sys/head.php';
include'sys/conf.php';
include'sys/sess.php';
require'sys/kmb.php';
require'sys/nef.php';
require'sys/botan.php';
require'sys/nauka.php';
require'sys/res.php';
require'sys/wars1.php';
require'sys/wars2.php';
require'otsev.php';
ob_start();
if($re0[n2]==1){}else{require'dop/cit.php';}
$tm=time();
 if(!empty($_GET['make'])){$make = $_GET['make'];} else {$make= '';}
 switch($make){
 case kk:
 $kod=$_GET['kod'];
$ros=mysql_fetch_array(mysql_query("SELECT id,num,name FROM pk WHERE kod='$kod'"));
if($re0['klan']>0){echo"Вы уже состоите в клане!<br/>";
mysql_query("DELETE FROM pk WHERE kod='$kod'");
echo'<a href="game.php?der='.$key.'">назад</a><br/>';
}else{
if($_GET['k']==1){
if($ros['id']>0){$id=$ros['num'];
mysql_query("UPDATE users SET klan='$id' WHERE login='$re0[login]'");
echo"Вы вступили в клан!<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('17','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Вы вступили в клан $ros[name]')");
mysql_query("DELETE FROM pk WHERE kod='$kod'");
echo'<a href="game.php?der='.$key.'">назад</a><br/>';
}else{echo"Такого приглашения нет!<br/>";echo'<a href="game.php?der='.$key.'">назад</a><br/>';}
}else{}}
if($_GET['k']==2){mysql_query("DELETE FROM pk WHERE kod='$kod'");
echo"Вы отклонили предложение!<br/>";
echo'<a href="game.php?der='.$key.'">назад</a><br/>';
}else{}
 break;
 case bs:
 $kod=$_GET[a]; $id=$_GET[b];
 $ros=mysql_fetch_array(mysql_query("SELECT id,strana1,strana2,res1,kolvo1,res2,kolvo2 FROM po WHERE kod='$kod'"));
if(empty($ros['id']) or $ros[strana2]!=$re1[strana]){echo"Несуществующее предложение обмена!<br/>";}else{
$por1=$ros['kolvo1'];$str1=$ros['strana1'];$por2=$ros['kolvo2'];$str2=$re1[strana];
switch($ros['res1']){
case 1:
$pr1='dengi';$hh="денег";
break;
case 2:
$pr1='metal';$hh="железа";
break;
case 3:
$pr1='kamen';$hh="камня";
break;
case 4:
$pr1='derevo';$hh="дерева";
break;
case 5:
$pr1='zerno';$hh="зерна";
break;
case 6:
$pr1='neft';$hh="нефти";
break;}
switch($ros['res2']){
case 1:
$pr2='dengi';$hj="денег";
break;
case 2:
$pr2='metal';$hj="железа";
break;
case 3:
$pr2='kamen';$hj="камня";
break;
case 4:
$pr2='derevo';$hj="дерева";
break;
case 5:
$pr2='zerno';$hj="зерна";
break;
case 6:
$pr2='neft';$hj="нефти";
break;}
////////////
$rsz=mysql_fetch_array(mysql_query("SELECT $pr1 FROM gos2 WHERE strana='$str1'"));
if($por1>$rsz[$pr1]){echo"У страны $str1 нет столько ресурсов!<br/>";}else{
$rsh=mysql_fetch_array(mysql_query("SELECT $pr2 FROM gos2 WHERE strana='$str2'"));
if($por2>$rsh[$pr2]){echo"У вас нет столько ресурсов!<br/>";}else{
///////////////////////////////////////////////////
$ru=mysql_fetch_array(mysql_query("SELECT metal,kamen,derevo,neft,zerno FROM gos2 WHERE strana='$str1'"));
$w1=mysql_fetch_array(qw("SELECT sum(kolvo)as a FROM rynok WHERE strana='$ros[strana1]'"));
$sp=mysql_fetch_array(qw("SELECT res,ryn FROM domik WHERE strana ='$ros[strana1]'"));
$x=$sp[res]-($ru[metal]+$ru[kamen]+$ru[derevo]+$ru[neft]+$ru[zerno]+$w1[a]);
if($pr2!='dengi'){if($por2>$x){header("Location:game.php?make=w1&der=$key");}}
mysql_query("UPDATE gos2 SET $pr1=$pr1-$por1,$pr2=$pr2+$por2 WHERE strana='$str1'");
$w1=mysql_fetch_array(qw("SELECT sum(kolvo)as a FROM rynok WHERE strana='$re1[strana]'"));
$sp=mysql_fetch_array(qw("SELECT res,ryn FROM domik WHERE strana ='$re1[strana]'"));
$x=$sp[res]-($re2[metal]+$re2[kamen]+$re2[derevo]+$re2[neft]+$re2[zerno]+$w1[a]);
$por2=$ros['kolvo2'];
if($pr1!='dengi'){if($por1>$x){header("Location:game.php?make=w1&der=$key");}}
mysql_query("UPDATE gos2 SET $pr1=$pr1+$por1,$pr2=$pr2-$por2 WHERE strana='$re1[strana]'");
mysql_query("DELETE FROM po WHERE kod='$kod'");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$ros[strana1]','@','$tm','0','0','Гос-во $re1[strana] согласилось на обмен!')");
echo"Обмен произведён!<br/>";
  $dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('9','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Обмен произведён!стране $ros[strana1] $por2 $hj на $por1 $hh'),('9','[$dt1:$dt2]($dt3:$dt4)','$ros[strana1]',
'Обмен произведён!стране $re1[strana] $por1 $hh на $por2 $hj')");
///////////////////////////////////////////////////
}}

}
 echo'<a href="game.php?der='.$key.'">В страну</a><br/>';
 break;
 case w1:
 echo"Обмен невозможен!У вас или у союзника нет места для ресурсов!<br/>";
  echo'<a href="game.php?der='.$key.'">В страну</a><br/>';
 break;
 case bo:
 $kod=$_GET[a];
 $ros=mysql_fetch_array(mysql_query("SELECT id,strana1,strana2 FROM po WHERE kod='$kod'"));
if(empty($ros['id']) or $ros[strana2]!=$re1[strana]){echo"Несуществующее предложение обмена!<br/>";}else{
mysql_query("DELETE FROM po WHERE kod='$kod'");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$ros[strana1]','@','$tm','0','0','Гос-во $re1[strana] отказало в обмене!')");
echo"В обмене отказано!<br/>";

}
 echo'<a href="game.php?der='.$key.'">В страну</a><br/>';
 break;
 case ps:
 $kod=$_GET[a]; $id=$_GET[b];
 $sou=mysql_fetch_array(qw("SELECT * FROM ps WHERE kod='$kod'"));
 if($sou[id]==$id and $sou[vrag]==$re1[strana]){
  $dm=mysql_fetch_array(qw("SELECT domik1 FROM domik WHERE strana='$re1[strana]'"));
  if($dm[domik1]==2){
    $sx=mysql_fetch_array(qw("SELECT id FROM soyuz WHERE strana1='$re1[strana]' and strana2='$sou[strana]'"));
	if($sx[id]>0){echo"Вы уже в союзе с гос-вом $sou[strana]!<br/>";}else{
qw("INSERT INTO soyuz (strana1,strana2) VALUES('$re1[strana]','$sou[strana]'),('$sou[strana]','$re1[strana]')");
qw("UPDATE gos SET sz=sz+1 WHERE strana IN ('$re1[strana]','$sou[strana]')");
 qw("DELETE FROM `ps` WHERE `id`='$sou[id]'");
  echo"Вы заключили союз с  гос-вом $sou[strana]!<br/>";
  $dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('17','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Вы заключили союз с  гос-вом $sou[strana]!'),('17','[$dt1:$dt2]($dt3:$dt4)','$sou[strana]',
'Вы заключили союз с  гос-вом $re1[strana]!')");
  qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$sou[strana]','@','$tm','0','0','Гос-во $re1[strana] согласилось на заключение союза!')");
  }}else{
  echo"У вас нет Цитадели!Предложение отклонено!<br/>";
  qw("DELETE FROM `ps` WHERE `id`='$sou[id]'");$tm=time();
  qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$sou[strana]','@','$tm','0','0','Гос-во $re1[strana] отклонило предложение союза!')");
  }
 }else{echo"Такого предложения союза не существует!<br/>";}
 echo'<a href="game.php?der='.$key.'">В страну</a><br/>';
 break;
 case os:
 $kod=$_GET[a]; $id=$_GET[b];
 $sou=mysql_fetch_array(qw("SELECT * FROM ps WHERE kod='$kod'"));
 if($sou[id]==$id and $sou[vrag]==$re1[strana]){
  echo"Предложение отклонено!<br/>";
  qw("DELETE FROM ps WHERE id='$sou[id]'");$tm=time();
  qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$sou[strana]','@','$tm','0','0','Гос-во $re1[strana] отклонило предложение союза!')");
   }else{echo"Такого предложения союза не существует!<br/>";}
 echo'<a href="game.php?der='.$key.'">В страну</a><br/>';
 break;
 case rs:
 $id=$_GET[b];
  $sou=mysql_fetch_array(qw("SELECT * FROM soyuz WHERE id='$id'"));
  if($sou[strana1]==$re1[strana]){
  echo"Союз с гос-вом $sou[strana2] расторгнут!<br/>";
   $dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('17','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Союз с гос-вом $sou[strana2] расторгнут!'),('17','[$dt1:$dt2]($dt3:$dt4)','$sou[strana2]',
'Союз с гос-вом $re1[strana] расторгнут!')");
  mysql_query("DELETE FROM soyuz WHERE strana1='$re1[strana]' and strana2='$sou[strana2]'");
   mysql_query("DELETE FROM soyuz WHERE strana2='$re1[strana]' and strana1='$sou[strana2]'");
   $tm=time();
  qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$sou[strana2]','@','$tm','0','0','Гос-во $re1[strana] расторгло союз!')");
  }else{
  echo"Союз не найден!<br/>";
  }
   echo'<a href="game.php?der='.$key.'">В страну</a><br/>';
 break;
 case ak:
 echo"Акция-приведи игрока.<br/>";
 if(empty($_GET[a])){
echo"Размещайте рекламу игры на других сайтах,играх,серфингах,и получайте бонус за регистрацию и игру новых игроков.
Если кто-то введёт ваш промо-код или зарегистрируется по рефельной ссылке-вы получите бонус ввиде 5 RB и за каждый его захват по 1 RB.
Кто введёт промо-код или зарегистрируется по реферальной ссылке-получит 5 RB.<br/>";
 echo'<a href="game.php?make=ak&a=1&der='.$key.'">Промо-код</a><br/>';
 echo'<a href="game.php?make=ak&a=2&der='.$key.'">Рефералка</a><br/>';
 echo"Не забывайте про правила игры,запрещено регистрироваться по своей рефералке или промо-коду!(BLOCK)<br/>";
 echo'<a href="game.php?der='.$key.'">В страну</a><br/>';
 }
 if($_GET[a]==1){$pk=$re0[id]*4;
 echo"Промо-код <br/><font color=red><b>ncw$pk</b></font><br/>";
 echo'<a href="game.php?der='.$key.'">В страну</a><br/>';
 }
 if($_GET[a]==2){$rf=$re0[id]*5;
 echo"Реферальная ссылка <br/><font color=red><b> http://nova.ciwa.ru/?rf=$rf</b></font><br/>";
 echo'<a href="game.php?der='.$key.'">В страну</a><br/>';
 }
 break;
default:
$time1=time();
$dr=$time1-$re1['datareg'];
$sec2=$dr;
$hou2=floor($sec2/3600);
$sec2-=$hou2*3600;
$min2=floor($sec2/60);
$sec2-=$min2*60;
if($hou2>0){echo"Возраст [<b>$hou2</b> ч.<b>$min2</b> м.]<br/>";}else{echo"Возраст [<b>$min2</b> м.<b>$sec2</b> с.]<br/>";}
echo'[<a href="maps.php?der='.$key.'">Карта</a>]';
echo'[<a href="dop/faq.php?der='.$key.'">Помощь</a>';echo'][<a href="dop/prav.php?der='.$key.'">Правила</a>]<br/>';
echo"<a href='game.php?make=ak&der=$key'><font color=red><b>!Акция!</b></font></a><br/>";
$time=time();$tim=$re1['datareg']+(3600*3);
$dy=$tim-$time;
$sec1=$dy;
$hou1=floor($sec1/3600);
$sec1-=$hou1*3600;
$min1=floor($sec1/60);
$sec1-=$min1*60;
if($dy>0){
if($hou1>0){ echo"Мораторий [<b>$hou1</b> ч.<b>$min1</b> м.]<br/>";}else{echo"Мораторий [<b>$min1</b> м.<b>$sec1</b> с.]<br/>";}}else{}
////////////////////////////////////////////////////////////////////////////////////////////
$time=time();$tim=$re0['marat1']-$time;
if($tim>0){
$sec1=$tim;
$hou1=floor($sec1/3600);
$sec1-=$hou1*3600;
$min1=floor($sec1/60);
$sec1-=$min1*60;
if($hou1>0){ echo"Ночной мораторий [<b>$hou1</b> ч.<b>$min1</b> м.]<br/>";}else{echo"Ночной мораторий [<b>$min1</b> м.<b>$sec1</b> с.]<br/>";}}
///////////////////////////////////////////////////////////////////////////////////////////
$sou=mysql_fetch_array(qw("SELECT id,kod,strana FROM ps WHERE vrag='$re1[strana]'"));
if(!empty($sou['kod'])){$kod=$sou['kod'];
echo"Государство <b>$sou[strana]</b> предлагает вам союз!<br/>";
echo'<a href="game.php?a='.$sou[kod].'&b='.$sou[id].'&make=ps&der='.$key.'">Принять</a><br/>';
echo'<a href="game.php?a='.$sou[kod].'&b='.$sou[id].'&make=os&der='.$key.'">Отклонить</a>';
}else{}
$kl=mysql_fetch_array(mysql_query("SELECT kod,name FROM pk WHERE str='$re1[strana]'"));
if(!empty($kl['kod'])){$kod=$kl['kod'];
echo"Посол  <b>$kl[name]</b> принес предложение о вступлении в этот клан. Вы согласны?<br/>";
echo'<a href="game.php?der='.$key.'&make=kk&k=1&kod='.$kod.'">Вступить</a><br/>';
echo'<a href="game.php?der='.$key.'&make=kk&k=2&kod='.$kod.'">Отклонить</a>';
}else{}
//////////////////////////////////////////////////////////////////////////////////////////
$sou=mysql_fetch_array(mysql_query("SELECT kod,strana1,res1,kolvo1,res2,kolvo2 FROM po WHERE strana2='$re1[strana]'"));
if(!empty($sou['kod'])){$kod=$sou['kod'];
switch($sou['res1']){
case 1:
$r5="денег";
break;
case 2:
$r5="железа";
break;
case 3:
$r5="камня";
break;
case 4:
$r5="древесины";
break;
case 5:
$r5="зерна";
break;
case 6:
$r5="нефти";
break;
}
switch($sou['res2']){
case 1:
$r6="денег";
break;
case 2:
$r6="железа";
break;
case 3:
$r6="камня";
break;
case 4:
$r6="древесины";
break;
case 5:
$r6="зерна";
break;
case 6:
$r5="нефти";
break;
}
echo"Государство <b>$sou[strana1]</b> предлагает вам обменять $sou[kolvo1] $r5 на $sou[kolvo2] $r6 !<br/>";
echo'<a href="game.php?a='.$sou[kod].'&b='.$sou[id].'&make=bs&der='.$key.'">Согласиться</a><br/>';
echo'<a href="game.php?a='.$sou[kod].'&b='.$sou[id].'&make=bo&der='.$key.'">Отказаться</a>';
}else{}
///////////////////////////////////////////////////////////////////////////////////////////
?></div><div class="knews"><?
require'sys/war1.php';
require'sys/war2.php';
?></div><div class="knews"><?
include'sys/stroyka2.php';
include'sys/stroyka.php';
$sp=mysql_fetch_array(qw("SELECT * FROM domik WHERE strana ='$re1[strana]'"));
//////////////////////////////////////////////
if($re0[izo]!=1){
if($sp[12]==1){echo'<a href="bild/ratusha.php?der='.$key.'"><img src="../../izo/log.gif">Ратуша</a><br/>';}
if($sp[12]==2){echo'<a href="bild/citadel.php?der='.$key.'"><img src="../../izo/log.gif">Цитадель</a><br/>';}
if($sp[13]==1){echo'<a href="bild/kazarma.php?der='.$key.'"><img src="../../izo/log.gif">Казарма</a><br/>';}
if($sp[13]==2){echo'<a href="bild/domwar.php?der='.$key.'"><img src="../../izo/log.gif">Дом войны</a><br/>';}
if($sp[14]==1){echo'<a href="bild/hranilishe.php?der='.$key.'"><img src="../../izo/log.gif">Хранилище</a><br/>';}
if($sp[14]==2){echo'<a href="bild/rynok.php?der='.$key.'"><img src="../../izo/log.gif">Рынок</a><br/>';}
if($sp[15]==1){echo'<a href="bild/univer.php?der='.$key.'"><img src="../../izo/log.gif">Университет</a><br/>';}
if($sp[15]==2){echo'<a href="bild/ncentr.php?der='.$key.'"><img src="../../izo/log.gif">Научный центр</a><br/>';}
if($sp[16]==1){echo'<a href="bild/derevnya.php?der='.$key.'"><img src="../../izo/log.gif">Деревня</a><br/>';}
if($sp[17]==1){echo'<a href="bild/stena.php?der='.$key.'"><img src="../../izo/log.gif">Стена</a><br/>';}
if($sp[18]==1){echo'<a href="bild/fabrika.php?der='.$key.'"><img src="../../izo/log.gif">Фабрика</a><br/>';}
if($sp[18]==2){echo'<a href="bild/zavod.php?der='.$key.'"><img src="../../izo/log.gif">Завод</a><br/>';}
if($sp[19]==1){echo'<a href="bild/neftevyshka.php?der='.$key.'"><img src="../../izo/log.gif">Нефтевышка</a><br/>';}
if($sp[20]==1){echo'<a href="bild/bunker.php?der='.$key.'"><img src="../../izo/log.gif">Бункер</a><br/>';}
if($sp[21]==1){echo'<a href="bild/storbashnya.php?der='.$key.'"><img src="../../izo/log.gif">Сторожевая башня</a><br/>';}
}else{
if($sp[12]==1){echo'<a href="bild/ratusha.php?der='.$key.'">Ратуша</a><br/>';}
if($sp[12]==2){echo'<a href="bild/citadel.php?der='.$key.'">Цитадель</a><br/>';}
if($sp[13]==1){echo'<a href="bild/kazarma.php?der='.$key.'">Казарма</a><br/>';}
if($sp[13]==2){echo'<a href="bild/domwar.php?der='.$key.'">Дом войны</a><br/>';}
if($sp[14]==1){echo'<a href="bild/hranilishe.php?der='.$key.'">Хранилище</a><br/>';}
if($sp[14]==2){echo'<a href="bild/rynok.php?der='.$key.'">Рынок</a><br/>';}
if($sp[15]==1){echo'<a href="bild/univer.php?der='.$key.'">Университет</a><br/>';}
if($sp[15]==2){echo'<a href="bild/ncentr.php?der='.$key.'">Научный центр</a><br/>';}
if($sp[16]==1){echo'<a href="bild/derevnya.php?der='.$key.'">Деревня</a><br/>';}
if($sp[17]==1){echo'<a href="bild/stena.php?der='.$key.'">Стена</a><br/>';}
if($sp[18]==1){echo'<a href="bild/fabrika.php?der='.$key.'">Фабрика</a><br/>';}
if($sp[18]==2){echo'<a href="bild/zavod.php?der='.$key.'">Завод</a><br/>';}
if($sp[19]==1){echo'<a href="bild/neftevyshka.php?der='.$key.'">Нефтевышка</a><br/>';}
if($sp[20]==1){echo'<a href="bild/bunker.php?der='.$key.'">Бункер</a><br/>';}
if($sp[21]==1){echo'<a href="bild/storbashnya.php?der='.$key.'">Сторожевая башня</a><br/>';}
}
//////////////////////////////////////////////
$spp=$sp[2]+$sp[3]+$sp[4]+$sp[5]+$sp[6]+$sp[7]+$sp[8]+$sp[9]+$sp[10]+$sp[11];
if($spp==10){}else{
if($re0[status]==0){
echo'------------<br/><a href="game.php?make=4&der='.$key.'">Построить......</a><br/>';
}}
?></div><div class="knews"><?
echo"Деньги ($re2[dengi])<br/>";
$land=$re2[gora]+$re2[lesa]+$re2[land];
echo'<a href="game.php?make=1&der='.$key.'">Территория</a>';echo"[$re2[land]/$land]<br/>";
echo'<a href="game.php?make=2&der='.$key.'">Население</a><br/>';
echo'<a href="game.php?make=3&der='.$key.'">Ресурсы</a><br/>';
?></div><div class="knews"><?
if($re1[wpk]>59 and $re1[sab]>59 and $re1[vor]>59 and $re1[ver]>59 or $re0[klan]>0 or $re0[sklan]>0){
echo'<a href="dop/klan.php?der='.$key.'">{Клан} </a><br/>';
}
echo'<a href="ass.php?der='.$key.'">Ассамблея(Чат)</a><br/>';
echo'<a href="profile.php?der='.$key.'">Профиль </a><br/>';
echo'<a href="dop/magaz.php?der='.$key.'">Магазин</a><br/>';
require'sys/status.php';
echo'<a href="dop/stat.php?der='.$key.'">Статистика</a><br/>';
echo'<a href="dop/lider.php?der='.$key.'">Лидеры</a><br/>';
echo'<a href="game.php?make=adm&der='.$key.'">Администрация </a><br/>';
echo'<a href="dop/tehp.php?der='.$key.'">Техподдержка </a><br/>';
break;
case adm:
////
echo'</div><div class="knews">';
echo"<b><u>Администрация</u></b><br/>";
echo'</div><div class="knews">';
echo"<b>Главный Админ</b> :<br/>";
$r = mysql_query("SELECT login FROM users WHERE status='1'");
while($n = mysql_fetch_array($r)){
$a1=mysql_fetch_array(qw("SELECT strana,online FROM gos WHERE login='$n[login]'"));
$t=time();
$onl=$t-$a1['online'];if($onl<14400){$on='ONL';}else{$on='OFF';}
if($a1[strana]!=''){echo"$a1[strana]($on)<br/>";}
}
////
echo"<b>Админы</b> :<br/>";
$r = mysql_query("SELECT login FROM users WHERE status='2'");
while($n = mysql_fetch_array($r)){
$a1=mysql_fetch_array(qw("SELECT strana,online FROM gos WHERE login='$n[login]'"));
$t=time();
$onl=$t-$a1['online'];if($onl<14400){$on='ONL';}else{$on='OFF';}
if($a1[strana]!=''){echo"$a1[strana]($on)<br/>";}
}
////
echo"<b>Ст.Модеры</b> :<br/>";
$r = mysql_query("SELECT login FROM users WHERE status='3'");
while($n = mysql_fetch_array($r)){
$a1=mysql_fetch_array(qw("SELECT strana,online FROM gos WHERE login='$n[login]'"));
$t=time();
$onl=$t-$a1['online'];if($onl<14400){$on='ONL';}else{$on='OFF';}
if($a1[strana]!=''){echo"$a1[strana]($on)<br/>";}
}
////
echo"<b>Модеры</b> :<br/>";
$r = mysql_query("SELECT login FROM users WHERE status='4'");
while($n = mysql_fetch_array($r)){
$a1=mysql_fetch_array(qw("SELECT strana,online FROM gos WHERE login='$n[login]'"));
$t=time();
$onl=$t-$a1['online'];if($onl<14400){$on='ONL';}else{$on='OFF';}
if($a1[strana]!=''){echo"$a1[strana]($on)<br/>";}
}
////

echo'<a href="game.php?der='.$key.'">В страну</a><br/>';
break;
case 1:
$land=$re2[gora]+$re2[lesa]+$re2[land];
echo"Общая земля ($land)<br/>";
echo"Свободная земля ($re2[land])<br/>";
echo"Горы ($re2[gora])<br/>";
echo"Леса ($re2[lesa])<br/>";
echo'<a href="game.php?der='.$key.'">В страну</a><br/>';
break;
case 2:
echo"Рабочие ($re2[rab])<br/>";
echo"Учёные ($re2[bot])<br/>";
echo"Пехотинцы ($re2[peh])<br/>";
echo"Кавалеристы ($re2[kon])<br/>";
echo"Стрелки ($re2[str])<br/>";
echo"Пушки ($re2[puh])<br/>";
echo"Танки ($re2[tan])<br/>";
echo"Самолёты ($re2[sam])<br/>";
echo'<a href="game.php?der='.$key.'">В страну</a><br/>';
break;
case 3:
$sp=mysql_fetch_array(qw("SELECT res FROM domik WHERE strana ='$re1[strana]'"));
$x=$sp[res]-($re2[metal]+$re2[kamen]+$re2[derevo]+$re2[neft]+$re2[zerno]);
echo"Свободное место : (<b>$x</b>)<br/>";
echo"Железо ($re2[metal])<br/>";
echo"Камень ($re2[kamen])<br/>";
echo"Дерево ($re2[derevo])<br/>";
echo"Нефть ($re2[neft])<br/>";
echo"Зерно ($re2[zerno])<br/>";
echo'<a href="game.php?der='.$key.'">В страну</a><br/>';
break;
case 4:
if($re0[status]==0){
$sp=mysql_fetch_array(qw("SELECT * FROM domik WHERE strana ='$re1[strana]'"));
if($sp[2]==0){echo'<a href="game.php?make=5&s=1&der='.$key.'">Ратуша</a><br/>';}
if($sp[3]==0){echo'<a href="game.php?make=5&s=2&der='.$key.'">Казарма</a><br/>';}
if($sp[4]==0){echo'<a href="game.php?make=5&s=3&der='.$key.'">Хранилище</a><br/>';}
if($sp[5]==0){echo'<a href="game.php?make=5&s=4&der='.$key.'">Университет</a><br/>';}
if($sp[6]==0){echo'<a href="game.php?make=5&s=5&der='.$key.'">Деревня</a><br/>';}
if($sp[7]==0){echo'<a href="game.php?make=5&s=6&der='.$key.'">Стена</a><br/>';}
if($sp[8]==0){echo'<a href="game.php?make=5&s=7&der='.$key.'">Фабрика</a><br/>';}
if($sp[9]==0){echo'<a href="game.php?make=5&s=8&der='.$key.'">Нефтевышка</a><br/>';}
if($sp[10]==0){echo'<a href="game.php?make=5&s=9&der='.$key.'">Бункер</a><br/>';}
if($sp[11]==0){echo'<a href="game.php?make=5&s=10&der='.$key.'">Сторожевая башня</a><br/>';}
?></div><div class="knews"><?
}else{
echo"Администрация не играет!<br/>";
}
echo'<a href="game.php?der='.$key.'">В страну</a><br/>';
break;
case 5:
if($re0[status]==0){
$a=$_GET[s];
switch($a){
case 1:
$v1='Ратуша';$v2='dom1';$v3='domik1';
break;
case 2:
$v1='Казарма';$v2='dom2';$v3='domik2';
break;
case 3:
$v1='Хранилище';$v2='dom3';$v3='domik3';
break;
case 4:
$v1='Университет';$v2='dom4';$v3='domik4';
break;
case 5:
$v1='Деревня';$v2='dom5';$v3='domik5';
break;
case 6:
$v1='Стена';$v2='dom6';$v3='domik6';
break;
case 7:
$v1='Фабрика';$v2='dom7';$v3='domik7';
break;
case 8:
$v1='Нефтевышка';$v2='dom8';$v3='domik8';
break;
case 9:
$v1='Бункер';$v2='dom9';$v3='domik9';
break;
case 10:
$v1='Сторожевая башня';$v2='dom10';$v3='domik10';
break;
}
$sp=mysql_fetch_array(qw("SELECT * FROM domik WHERE strana ='$re1[strana]'"));
if($sp[$v2]==1){echo"Здание уже строится!<br/>";}else{
if($sp[$v3]==1){echo"Здание уже построено!<br/>";}else{
echo"<b>$v1</b><br/>";
$se=mysql_fetch_array(qw("SELECT * FROM st_dom WHERE dom ='$a'"));
if($se[met]>$re2[metal] or $se[kam]>$re2[kamen] or $se[der]>$re2[derevo] or $se[zem]>$re2[land] or $se[nef]>$re2[neft] or $se[den]>$re2[dengi]){
echo"Недостаточно ресурсов или земли!<br/>
Небходимо:<br/> железо($se[met]),камень($se[kam]),дерево($se[der]),нефти($se[nef]),денег($se[den]),земли($se[zem])<br/>";
}else{
if(!empty($_POST[rab])){
$rab=zif($_POST[rab]);
if($rab>0){
if($rab<=$re2[rab] and $re2[rab]>0){
if($rab<=$se[max]){
///////////////////////////////////////////////////////////////////
$n1=$se[tim]/$rab;$n2=time();
qw("INSERT INTO stroyka (strana,dom,rab,data,time,vid) VALUES('$re1[strana]','$v3','$rab','$n1','$n2','$a')");
qw("UPDATE gos2 SET metal=metal-$se[met],kamen=kamen-$se[kam],
derevo=derevo-$se[der],dengi=dengi-$se[den],neft=neft-$se[nef],land=land-$se[zem],rab=rab-$rab WHERE strana='$re1[strana]'");
qw("UPDATE domik SET $v2='1' WHERE strana='$re1[strana]'");
$sec = $n1;
$min = floor($sec/60);$sec-=$min*60;$sec=round($sec);
echo"Здание $v1 будет построено через <b>$min</b>минут! <b>$sec</b> cek!<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('1','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Здание $v1 будет построено через <b>$min</b>минут! <b>$sec</b> cek!')");
//////////////////////////////////////////////////////////////////
}else{
echo"Строить могут не более $se[max] рабочих!<br/>";
}
}else{
echo"Неверное число рабочих!<br/>";
}
}else{
echo"Неверное число рабочих!<br/>";
}
}else{
echo"Стоимость:<br/> железо($se[met]),камень($se[kam]),дерево($se[der]),нефти($se[nef]),денег($se[den]),земли($se[zem])<br/>";
echo'<FORM ACTION="game.php?make=5&s='.$a.'&der='.$key.'" METHOD="POST">';
if($re2[rab]>=$se[max]){$se[max]=$se[max];}else{$se[max]=$re2[rab];}?>
Сколько рабочих отправить:<br/>
<INPUT TYPE='text' NAME='rab'VALUE="<?=$se[max];?>"><br/>
<INPUT TYPE='submit'VALUE='Построить'></FORM><br/><?
}}}}
}else{
echo"Администрация не играет!<br/>";
}
echo'<a href="game.php?make=4&der='.$key.'">K выбору</a><br/>';
echo'<a href="game.php?der='.$key.'">В страну</a><br/>';
break;
case 6:
$idd=$_GET['id'];$z3=$idd;
$prov=mysql_fetch_array(qw("SELECT strana,dom,rab,data,time,vid FROM stroyka WHERE id='$z3'"));
if($prov[strana]==$re1[strana]){
switch($prov[vid]){
case 1:
$hata="Ратуша";
break;
case 2:
$hata="Казарма";
break;
case 3:
$hata="Хранилище";
break;
case 4:
$hata="Университет";
break;
case 5:
$hata="Деревня";
break;
case 6:
$hata="Стена";
break;
case 7:
$hata="Фабрика";
break;
case 8:
$hata="Нефтевышка";
break;
case 9:
$hata="Бункер";
break;
case 10:
$hata="Сторожевая башня";
break;
}
echo"<b>$hata</b><br/>";
$time=time();$tim=round($time-$prov[data]);$mit=round($prov[time]-$tim);
$sec = $mit;
$min = floor($sec/60);$sec-=$min*60;
echo"Здание будет построено через <b>$min</b>минут! <b>$sec</b> cek!<br/>";
/////////////////////////
echo'<FORM ACTION="game.php?make=7&id='.$z3.'&der='.$key.'" METHOD="POST">';?>
Рабочие на стройке:<?echo"$prov[rab]";?><br/>
Свободные рабочие:<?echo"$re2[rab]";?><br/>
<input format='*N' name='rab'/><br/>
<input name="plus" type="submit" value="+"/>/
<input name="minus" type="submit" value="-"/></FORM>
<?
////////////////////////////
}else{echo"Стройка не найдена!<br/>";}
echo'<a href="game.php?der='.$key.'">В страну</a><br/>';
break;
case 7:
$idd=$_GET['id'];$z3=$idd;
$prov=mysql_fetch_array(qw("SELECT * FROM stroyka WHERE id='$z3'"));
if($prov[strana]==$re1[strana]){
////////////

///////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$tim=time();
$w=(($prov[time]+$prov[data])-$tim)*$prov[rab];
$bot1=zif($_POST['rab']);
if (isset($_POST['plus'])) {
if($bot1>$re2[rab] or $bot1<0){echo"Нет столько рабочих!<br/>";}else{
$x=$bot1+$prov[rab];
$pr=mysql_fetch_array(qw("SELECT max FROM st_dom WHERE dom='$prov[vid]'"));
if($x>$pr[max]){echo"Строить могут не более $pr[max] рабочих!<br/>";}else{
$bot=$prov[rab]+$bot1;$dat=$w/$bot;$bott=$re2[rab]-$bot1;

$trm1=time();$tst1=$trm1-$prov['data'];$pr1=($tst1*100)/$prov['time'];$pr1=round($pr1,2);
$r1=$prov['time'];
$v2=($dat/100)*$pr1;$r3=round($dat-$v2);
qw("UPDATE stroyka SET data='$dat',time='$trm1',rab='$bot' WHERE id='$z3'");
qw("UPDATE gos2 SET rab='$bott' WHERE strana='$re1[strana]'");
header("Location:game.php?der=$key");
}}}else{}
if(isset($_POST['minus'])) {
if($bot1>=$prov[rab] or $bot1<0){echo"Нет столько рабочих!<br/>";}else{

$bot=$prov[rab]-$bot1;$dat=$w/$bot;$bott=$re2[rab]+$bot1;
$trm1=time();$tst1=$trm1-$prov['data'];$pr1=($tst1*100)/$prov['time'];$pr1=round($pr1,2);
$r1=$prov['time'];
$v2=($dat/100)*$pr1;$r3=round($dat-$v2);
qw("UPDATE stroyka SET data='$dat',time='$trm1',rab='$bot' WHERE id='$z3'");
qw("UPDATE gos2 SET rab='$bott' WHERE strana='$re1[strana]'");
header("Location:game.php?der=$key");
}}else{}
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
}else{echo"Стройка не найдена!<br/>";}
echo'<a href="game.php?der='.$key.'">В страну</a><br/>';
break;
case 8:
$a=$_GET[s];
switch($a){
case 1:
$v1='Цитадель';$v3='domik1';$d=11;
break;
case 2:
$v1='Рынок';$v3='domik3';$d=12;
break;
case 3:
$v1='Дом войны';$v3='domik2';$d=13;
break;
case 4:
$v1='Завод';$v3='domik7';$d=14;
break;
case 5:
$v1='Научный центр';$v3='domik4';$d=15;
break;
}
$sp1=mysql_fetch_array(qw("SELECT id FROM stroyka2 WHERE strana ='$re1[strana]' and dom='$v3'"));
$sp=mysql_fetch_array(qw("SELECT * FROM domik WHERE strana ='$re1[strana]'"));
if($sp1[id]>0){echo"Здание уже строится!<br/>";}else{
if($sp[$v3]==2){echo"Здание уже построено!<br/>";}else{
echo"<b>$v1</b><br/>";
$se=mysql_fetch_array(qw("SELECT * FROM st_dom WHERE dom ='$d'"));
if($se[met]>$re2[metal] or $se[kam]>$re2[kamen] or $se[der]>$re2[derevo] or $se[zem]>$re2[land] or $se[nef]>$re2[neft] or $se[den]>$re2[dengi]){
echo"Недостаточно ресурсов или земли!<br/>
Небходимо:<br/> железо($se[met]),камень($se[kam]),дерево($se[der]),нефти($se[nef]),денег($se[den]),земли($se[zem])<br/>";
}else{
if(!empty($_POST[rab])){
$rab=zif($_POST[rab]);
if($rab>0){
if($rab<=$re2[rab] and $re2[rab]>0){
if($rab<=$se[max]){
///////////////////////////////////////////////////////////////////
$n1=$se[tim]/$rab;$n2=time();
qw("INSERT INTO stroyka2 (strana,dom,rab,data,time,vid) VALUES('$re1[strana]','$v3','$rab','$n1','$n2','$d')");
qw("UPDATE gos2 SET metal=metal-$se[met],kamen=kamen-$se[kam],
derevo=derevo-$se[der],dengi=dengi-$se[den],neft=neft-$se[nef],land=land-$se[zem],rab=rab-$rab WHERE strana='$re1[strana]'");
$sec = $n1;
$min = floor($sec/60);$sec-=$min*60;$sec=round($sec);
echo"Здание $v1 будет построено через <b>$min</b>минут! <b>$sec</b> cek!<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('1','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Здание $v1 будет построено через <b>$min</b>минут! <b>$sec</b> cek!')");

//////////////////////////////////////////////////////////////////
}else{
echo"Строить могут не более $se[max] рабочих!<br/>";
}
}else{
echo"Неверное число рабочих!<br/>";
}
}else{
echo"Неверное число рабочих!<br/>";
}
}else{
echo"Стоимость:<br/> железо($se[met]),камень($se[kam]),дерево($se[der]),нефти($se[nef]),денег($se[den]),земли($se[zem])<br/>";
echo'<FORM ACTION="game.php?make=8&s='.$a.'&der='.$key.'" METHOD="POST">';
if($re2[rab]>=$se[max]){$se[max]=$se[max];}else{$se[max]=$re2[rab];}
?>
Сколько рабочих отправить:<br/>
<INPUT TYPE='text' NAME='rab'VALUE="<?=$se[max];?>"><br/>
<INPUT TYPE='submit'VALUE='Построить'></FORM><br/><?
}}}}
echo'<a href="game.php?der='.$key.'">В страну</a><br/>';
break;
case 9:
$idd=$_GET['id'];$z3=$idd;
$prov=mysql_fetch_array(qw("SELECT strana,dom,rab,data,time,vid FROM stroyka2 WHERE id='$z3'"));
if($prov[strana]==$re1[strana]){
switch($prov[vid]){
case 11:
$hata="Цитадель";
break;
case 13:
$hata="Дом войны";
break;
case 12:
$hata="Рынок";
break;
case 14:
$hata="Завод";
break;
case 15:
$hata="Научный центр";
break;
}
echo"<b>$hata</b><br/>";
$time=time();$tim=round($time-$prov[data]);$mit=round($prov[time]-$tim);
$sec = $mit;
$min = floor($sec/60);$sec-=$min*60;
echo"Здание будет построено через <b>$min</b>минут! <b>$sec</b> cek!<br/>";
/////////////////////////
echo'<FORM ACTION="game.php?make=10&id='.$z3.'&der='.$key.'" METHOD="POST">';?>
Рабочие на стройке:<?echo"$prov[rab]";?><br/>
Свободные рабочие:<?echo"$re2[rab]";?><br/>
<input format='*N' name='rab'/><br/>
<input name="plus" type="submit" value="+"/>/
<input name="minus" type="submit" value="-"/></FORM>
<?
////////////////////////////
}else{echo"Стройка не найдена!<br/>";}
echo'<a href="game.php?der='.$key.'">В страну</a><br/>';
break;
case 10:
$idd=$_GET['id'];$z3=$idd;
$prov=mysql_fetch_array(qw("SELECT * FROM stroyka2 WHERE id='$z3'"));
if($prov[strana]==$re1[strana]){
////////////

///////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$tim=time();
$w=(($prov[time]+$prov[data])-$tim)*$prov[rab];
$bot1=zif($_POST['rab']);
if (isset($_POST['plus'])) {
if($bot1>$re2[rab] or $bot1<0){echo"Нет столько рабочих!<br/>";}else{
/////////////////
$x=$bot1+$prov[rab];
$pr=mysql_fetch_array(qw("SELECT max FROM st_dom WHERE dom='$prov[vid]'"));
if($x>$pr[max]){echo"Строить могут не более $pr[max] рабочих!<br/>";}else{
/////////////////
$bot=$prov[rab]+$bot1;$dat=$w/$bot;$bott=$re2[rab]-$bot1;

$trm1=time();$tst1=$trm1-$prov['data'];$pr1=($tst1*100)/$prov['time'];$pr1=round($pr1,2);
$r1=$prov['time'];
$v2=($dat/100)*$pr1;$r3=round($dat-$v2);
qw("UPDATE stroyka2 SET data='$dat',time='$trm1',rab='$bot' WHERE id='$z3'");
qw("UPDATE gos2 SET rab='$bott' WHERE strana='$re1[strana]'");
header("Location:game.php?der=$key");
}}}else{}
if(isset($_POST['minus'])) {
if($bot1>=$prov[rab] or $bot1<0){echo"Нет столько рабочих!<br/>";}else{
$bot=$prov[rab]-$bot1;$dat=$w/$bot;$bott=$re2[rab]+$bot1;
$trm1=time();$tst1=$trm1-$prov['data'];$pr1=($tst1*100)/$prov['time'];$pr1=round($pr1,2);
$r1=$prov['time'];
$v2=($dat/100)*$pr1;$r3=round($dat-$v2);
qw("UPDATE stroyka2 SET data='$dat',time='$trm1',rab='$bot' WHERE id='$z3'");
qw("UPDATE gos2 SET rab='$bott' WHERE strana='$re1[strana]'");
header("Location:game.php?der=$key");
}}else{}
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
}else{echo"Стройка не найдена!<br/>";}
echo'<a href="game.php?der='.$key.'">В страну</a><br/>';
break;
}
echo'</div><div class="knews"><a href="out.php?der='.$key.'">Выход</a><br/>';
require'sys/foot.php';
?>